Private Networks

Generated on 18 Mar 2026

Base URL https://api.paperspace.com/v1

GET List private networks

/private-networks
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Fetches a list of private networks.

Query Parameters

after string optional

Fetch the next page of results after this cursor.

limit integer 1 – 120 optional

The number of items to fetch after this page.

orderBy string, one of: dtCreated, name optional

Order results by one of these fields.

Default: dtCreated
order string, one of: asc, desc optional

The order to sort the results by.

Default: desc
name string optional
region anyOf optional
curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/private-networks"

Responses

200

Successful response

hasMore boolean required

Whether there are more pages of results available.

items array of object required

The items on this page.

Show child properties
dtCreated string (date-time) required

The date the private network was created.

dtDeleted string optional Nullable

The date the private network was deleted.

id string required

The ID of the private network.

name string required

The name of the private network.

netmask string required

The subnet mask of the private network.

network string required

The network prefix of the private network.

region string, one of: ny2, ca1, ams1 required

The region the private network is in.

nextPage string optional

The cursor required to fetch the next page of results. i.e. ?after=nextPage. This is null when there is no next page.

default

Error response

code string required
details object optional
message string required
{
  "hasMore": true,
  "items": [
    {
      "dtCreated": "2019-08-24T14:15:22Z",
      "id": "string",
      "name": "string",
      "netmask": "string",
      "network": "string",
      "region": "ny2"
    }
  ],
  "nextPage": "string"
}
{
  "code": "string",
  "message": "string"
}

POST Create a private network

/private-networks
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Creates a new private network.

Request Body: application/json

migrateMachines boolean optional

Whether to migrate all machines not currently in a private network to the new private network.

name string required

The name of the private network.

region string, one of: ny2, ca1, ams1 required

The region the private network is in.

Content type application/json
{
  "migrateMachines": false,
  "name": "string",
  "region": "ny2"
}
curl -X POST \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "migrateMachines": false,
  "name": "string",
  "region": "ny2"
}' \
  "https://api.paperspace.com/v1/private-networks"

Responses

200

Successful response

dtCreated string (date-time) required

The date the private network was created.

dtDeleted string optional Nullable

The date the private network was deleted.

id string required

The ID of the private network.

name string required

The name of the private network.

netmask string required

The subnet mask of the private network.

network string required

The network prefix of the private network.

region string, one of: ny2, ca1, ams1 required

The region the private network is in.

default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "id": "string",
  "name": "string",
  "netmask": "string",
  "network": "string",
  "region": "ny2"
}
{
  "code": "string",
  "message": "string"
}

GET Get a private network

/private-networks/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Fetches a single private network by ID.

Path Parameters

id string required

The ID of the private network to fetch.

curl -X GET \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/private-networks/{id}"

Responses

200

Successful response

dtCreated string (date-time) required

The date the private network was created.

dtDeleted string optional Nullable

The date the private network was deleted.

id string required

The ID of the private network.

name string required

The name of the private network.

netmask string required

The subnet mask of the private network.

network string required

The network prefix of the private network.

region string, one of: ny2, ca1, ams1 required

The region the private network is in.

default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "id": "string",
  "name": "string",
  "netmask": "string",
  "network": "string",
  "region": "ny2"
}
{
  "code": "string",
  "message": "string"
}

PUT Update a private network

/private-networks/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Updates a single private network by ID.

Path Parameters

id string required

The ID of the private network to update.

Request Body: application/json

name string optional

The name of the private network.

Content type application/json
{
  "name": "string"
}
curl -X PUT \
  -H "Authorization: Bearer $API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string"
}' \
  "https://api.paperspace.com/v1/private-networks/{id}"

Responses

200

Successful response

dtCreated string (date-time) required

The date the private network was created.

dtDeleted string optional Nullable

The date the private network was deleted.

id string required

The ID of the private network.

name string required

The name of the private network.

netmask string required

The subnet mask of the private network.

network string required

The network prefix of the private network.

region string, one of: ny2, ca1, ams1 required

The region the private network is in.

default

Error response

code string required
details object optional
message string required
{
  "dtCreated": "2019-08-24T14:15:22Z",
  "id": "string",
  "name": "string",
  "netmask": "string",
  "network": "string",
  "region": "ny2"
}
{
  "code": "string",
  "message": "string"
}

DELETE Delete a private network

/private-networks/{id}
Authorizations: BearerAuth
Http: Bearer

An API key or access token

Deletes a single private network by ID.

Path Parameters

id string required

The ID of the private network to delete.

curl -X DELETE \
  -H "Authorization: Bearer $API_TOKEN" \
  "https://api.paperspace.com/v1/private-networks/{id}"

Responses

200

Successful response

id string required

The ID of the private network to delete.

default

Error response

code string required
details object optional
message string required
{
  "id": "string"
}
{
  "code": "string",
  "message": "string"
}

We can't find any results for your search.

Try using different keywords or simplifying your search terms.